#!/bin/sh
# This script is used to prepare external libraries

if [ "$1" != "arm" ] && [ "$1" != "osx" ] && [ "$1" != "x86" ]; then
    echo "usage....unpack.sh [arm|osx|x86]"
    exit
fi

cd 3rdlib
if [ "$1" == "arm" ]; then
    unzip fftlibs_arm.zip
    unzip expat_arm.zip
    unzip gsl_arm.zip
    unzip gsl_include.zip -d ../include
elif [ "$1" == "osx" ]; then
    echo "OSX not supported yet."
    exit
elif [ "$1" == "x86" ]; then 
    unzip fftlibs_x86.zip
    unzip gsl_x86.zip
    unzip gsl_include.zip -d ../include
    echo "You will need \"expat\" development set up."
    echo "As root on Debian, \"apt-get install libexpat1-dev\""
fi

