/*************************************************
 * File: symbols.h
 * Birth Date: Dec 3, 2003
 *
 * Project: Enchantment IPC
 * 
 * Based on Enchantment IPC Whitepaper
 *   by Edward Keyes.
 *
 * Copyright (C) 2002 MIT Media Lab
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 *************************************************/

extern char *c_initial, *c_get, *c_getattr, *c_signal_init, *c_create;
extern char *c_document_init, *c_lock, *c_unlock, *k_unl, *k_property_encrypt;
extern char *c_publish, *c_unpublish, *c_subscribe, *c_unsubscribe;
extern char *c_message, *c_terminal, *c_broadcast, *k_operation, *c_ping;
extern char *kv_merge, *kv_addonly, *kv_delete, *kv_replace, *k_auth, *k_type;
extern char *sv_success, *sv_failure, *sv_locked, *sv_error, *c_admin;

void InitSymbols();
